# NOTE: Derived from blib/lib/ClearCase/Wrapper/MGi.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package ClearCase::Wrapper::MGi;

#line 498 "blib/lib/ClearCase/Wrapper/MGi.pm (autosplit into blib/lib/auto/ClearCase/Wrapper/MGi/_Yesno.al)"
sub _Yesno {
  my ($cmd, $fn, $yn, $test, $errmsg) = @_;
  use warnings;
  use strict;
  my $ret = 0;
  my @opts = $cmd->opts;
  for my $arg ($cmd->args) {
    if ($test) {
      my $res = $test->args($arg)->qx;
      if (!$res or $res =~ /^cleartool: Error:/) {
	warn ($res or Msg('E', $errmsg . '"' . $arg . "\".\n"));
	next;
      }
    }
    printf $yn->{format}, $arg;
    my $ans = <STDIN>; chomp $ans; $ans = lc($ans);
    $ans = $yn->{default} unless $ans;
    while ($ans !~ $yn->{valid}) {
      print $yn->{instruct};
      $ans = <STDIN>; chomp $ans; $ans = lc($ans);
      $ans = $yn->{default} unless $ans;
    }
    if ($yn->{opt}->{$ans}) {
      push @opts, $yn->{opt}->{$ans};
      $cmd->opts(@opts);
      $cmd->args($arg);
      $ret |= &{$fn}($cmd);
    } else {
      $ret = 1;
    }
  }
  exit $ret;
}

# end of ClearCase::Wrapper::MGi::_Yesno
1;
